### Hierarchy

- EventStream

## Index

### Properties

- SYSTEM_EVENT_TYPE_PREFIX
- theListeners

### Methods

- addListener
- emit
- emitEvent
- listeners
- removeAllListeners

## Properties

### Static SYSTEM_EVENT_TYPE_PREFIX

SYSTEM_EVENT_TYPE_PREFIX: "GAIA::" = "GAIA::"

- Defined in lib/event/EventStream.ts:6

### Static Private theListeners

theListeners: object

- Defined in lib/event/EventStream.ts:75

#### Type declaration

- ##### [key: string]: Array<function>

## Methods

### Static addListener

- addListener(eventType: EventType | string, listener: function): object

- - Defined in lib/event/EventStream.ts:58

  #### Parameters

  - ##### eventType: EventType | string

  - ##### listener: function

    - - (args: any[]): void

      - #### Parameters

        - ##### Rest args: any[]

        #### Returns void

  #### Returns object

  - ##### remove: function

    - remove(): void
    - - Defined in lib/event/EventStream.ts:66

      #### Returns void

### Static emit

- emit(eventType: string, args: any[]): void

- - Defined in lib/event/EventStream.ts:15

  #### Parameters

  - ##### eventType: string

  - ##### Rest args: any[]

  #### Returns void

### Static emitEvent

- emitEvent(event: IEvent): void

- - Defined in lib/event/EventStream.ts:25

  #### Parameters

  - ##### event: IEvent

  #### Returns void

### Static listeners

- listeners(eventType: string): function[]

- - Defined in lib/event/EventStream.ts:34

  #### Parameters

  - ##### eventType: string

  #### Returns function[]

### Static removeAllListeners

- removeAllListeners(eventType: undefined | string): void

- - Defined in lib/event/EventStream.ts:44

  #### Parameters

  - ##### Optional eventType: undefined | string

  #### Returns void

Generated using TypeDoc